

%define build_timestamp %(date +"%Y-%m-%d %H:%M:%S")

Name:           technoholicsrepo-release
%if "%{dist_vendor}" == "Fedora"
  %define ourver %{fedora}
%else
  %define ourver %{rhel}
%endif
Version:        %{ourver}
Release:        3%{dist}
Summary:        techno.holics.at - Repository Configuration

Group:          System Environment/Base
License:        GPLv3

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://dev.techno.holics.at/technoholics-repo/
Source0:        RPM-GPG-KEY-holicsrepo
Source1:        %{name}.GPLv3
Source2:        technoholicsrepo.fc.repo
Source3:        technoholicsrepo.el.repo
BuildArch:      noarch

Obsoletes:      technoholics-repo-release <= 20231002
Conflicts:      technoholics-repo-release <= 20231107


%if 0%{?israwhide}
Obsoletes:      %{name}-rawhide < %{version}-%{release}
Provides:       %{name}-rawhide = %{version}-%{release}
%endif

%description
techno.holics.at package repository files for yum and dnf along with gpg public keys

%if ! 0%{?israwhide}
%package rawhide
Summary:      techno.holics.at Rawhide repo definitions
Requires:     %{name} = %{version}-%{release}

%description rawhide
This package provides the techno.holics.at repo definitions for Fedora rawhide.
%endif

BuildArch:     noarch

%if "%{dist_vendor}" == "Fedora"
Requires:      system-release(%{version})
Requires:      fedora-release >=  %{version}
%elsif "%{dist_vendor}" == "RESF"
Requires:      rocky-release >=  %{version}
%else
Requires:      redhat-release >=  %{version}
%endif

%prep
echo "nothing to prep"

%build
echo "nothing to build"


%install

rm -rf $RPM_BUILD_ROOT

#GPG Key
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/ $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/ %{buildroot}%{_defaultdocdir}/%{name}-%{version}/

install -Dpm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
%if "%{dist_vendor}" == "Fedora"
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%else
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif

install -pm 644 %{SOURCE1} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/GPLv3

%pre
OLDKEY_SIG="0B4CE9242EF221FA"
rpm -e "gpg-pubkey-$OLDKEY_SIG" ||:


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-%{version}/GPLv3
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/RPM-GPG-KEY-holicsrepo

%changelog
* Tue Nov 7 2023 Frederic Krueger <fkrueger-dev-holicsrepo@holics.at> - %{version}-%{release}
- reworked the spec file to support fedora and rhel-type distros

* Mon Oct 2 2023 Frederic Krueger <fkrueger-dev-holicsrepo@holics.at> - 20231002-2
- $basearch isnt supported in repo files.. huh?

* Mon Oct 2 2023 Frederic Krueger <fkrueger-dev-holicsrepo@holics.at> - 20231002-1
- updated repo file path

* Sun Jun 20 2021 Frederic Krueger <fkrueger-dev-holicsrepo@holics.at> - 20210620-1
- initial release
